Create loyalty tier
Requires ADMIN. programId must belong to the project.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string
Project (tenant) identifier. Row-level tenant isolation is enforced on every query.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
programId
required
string
name
required
string
minValueScore
number
sortOrder
integer
configJson
object
key
additional properties
any
Responses
Section titled “Responses”Created tier.
Media typeapplication/json
object
tier
object
id
string
projectId
string
programId
string
programName
string
name
string
minValueScore
number
sortOrder
integer
userCount
integer
configJson
string
key
additional properties
any
Missing/invalid path input (e.g. projectId) or invalid JSON body.
Media typeapplication/json
object
error
required
Human-readable error message.
string
message
string
Examplegenerated
{ "error": "example", "message": "example"}Not authenticated (401 via requireAuthenticated) or insufficient project role (403).
Media typeapplication/json
object
error
required
Human-readable error message.
string
message
string
Examplegenerated
{ "error": "example", "message": "example"}Referenced loyalty program not found (error=‘loyalty_program not_found’).
Media typeapplication/json
object
error
required
Human-readable error message.
string
message
string
Examplegenerated
{ "error": "example", "message": "example"}Zod validation failed (error=‘参数校验失败’ with issues[]).
Media typeapplication/json
object
error
required
string
issues
Array<object>
object
path
string
message
string
details
Array<object>
object
key
additional properties
any
key
additional properties
any
Example
{ "error": "参数校验失败"}